Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.describeprocess
Class SupportedComplexData

    java.lang.Object
      org.deegree.ogcwebservices.wps.describeprocess.SupportedComplexData

    public class SupportedComplexData

extends Object

SupportedComplexData.java Created on 09.03.2006. 22:27:42h A combination of format, encoding, and/or schema supported by a process input or output.

Version:
  $Revision: 18195 $, $Date:20.03.2007$
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author:wanhoff$

Field Summary
`protected String` | `encoding` Reference to an encoding supported for this input or output (e.g., UTF-8).
`protected String` | `format` Format supported for this input or output (e.g., text/XML).
`protected String` | `schema` Reference to a definition of XML elements or types supported for this Input or Output (e.g., GML 2.1 Application Schema).

Constructor Summary
`SupportedComplexData(String encoding, String format, String schema)`

Method Summary
`String` | `getEncoding()`
`String` | `getFormat()`
`String` | `getSchema()`
`void` | `setEncoding(String value)`
`void` | `setFormat(String value)`
`void` | `setSchema(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### format

    protected String format

  Format supported for this input or output (e.g., text/XML). This element shall be included when the format for this ComplexDataType differs from the defaultFormat for this Input/Output. This element shall not be included if there is only one (i.e., the default) format supported for this Input/Output, or Format does not apply to this Input/Output.

### encoding

    protected String encoding

  Reference to an encoding supported for this input or output (e.g., UTF-8). This element shall be included when the encoding for this ComplexDataType differs from the defaultEncoding for this Input/Output. This element shall not be included if there is only one (i.e., the default) encoding supported for this Input/Output, or Encoding does not apply to this Input/Output.

### schema

    protected String schema

  Reference to a definition of XML elements or types supported for this Input or Output (e.g., GML 2.1 Application Schema). Each of these XML elements or types shall be defined in a separate XML Schema Document. This element shall be included when the schema for this ComplexDataType differs from the defaultSchema for this Input/Output. This element shall not be included if there is only one (i.e., the default) XML Schema Document supported for this Input/Output, or Schema does not apply to this Input/Output.

Constructor Detail

### SupportedComplexData

    public SupportedComplexData(String encoding,
                                String format,
                                String schema)

Parameters:
  `encoding` -
  `format` -
  `schema` -

Method Detail

### getFormat

    public String getFormat()

  Returns:
    Returns the format.

### setFormat

    public void setFormat(String value)

  Parameters:
    `value` - The format to set.

### getEncoding

    public String getEncoding()

  Returns:
    Returns the encoding.

### setEncoding

    public void setEncoding(String value)

  Parameters:
    `value` - The encoding to set.

### getSchema

    public String getSchema()

  Returns:
    Returns the schema.

### setSchema

    public void setSchema(String value)

  Parameters:
    `value` - The schema to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org